petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatFDColoringSetUp

Sets up the internal data structures of matrix coloring context for the later use.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFDColoringSetUp(Mat mat,ISColoring iscoloring,MatFDColoring color)

Collective on Mat

### Input Parameters

| mat | - the matrix containing the nonzero structure of the Jacobian
| iscoloring | - the coloring of the matrix; usually obtained with MatGetColoring() or DMCreateColoring()
| color | - the matrix coloring context

### Keywords

MatFDColoring, setup

### See Also

MatFDColoringCreate(), MatFDColoringDestroy()

Level:beginner
Location:src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex16.c.html
src/snes/examples/tutorials/ex5s.c.html
src/snes/examples/tutorials/ex14.c.html